module AR
  module Game

    class Monster < Npc 
      def initialize id=nil
        super 
        #add_behavior AR::Game::SomeBehavior
        desires.push AR::Game::AiControl::ToHurtCharacters.new self
        self.hostility_check do |ar_obj|
          true if ar_obj.is_a? AR::Game::Character and !ar_obj.is_a?(AR::Game::Monster)
        end
      end


      #sort of just a way to 'include' these classes, so you don't
      #need to fully qualify them.  There must be a better way...
      class Story < AR::Game::StoryBehavior::Story
      end
      class StoryImplement < AR::Game::StoryBehavior::StoryImplement
      end

    end



  end
end
